{
  config,
  flake,
  pkgs,
  ...
}:
let
  inherit (flake.config.people)
    user0
    ;
  inherit (flake.config.machines) devices;
  mars = devices.mars.name;

  host = config.networking.hostName;
in
{
  services = {
    greetd = {
      enable = true;
      # vt = 7;
      settings = {
        default_session = {
          command = "${pkgs.tuigreet}/bin/tuigreet --time --time-format '%I:%M %p | %a • %h | %F' --theme border=magenta;text=cyan;prompt=green;time=red;action=blue;button=yellow;container=black;input=red --cmd Hyprland";
          user = if host == mars then "greeter" else user0;
        };
      };
    };
  };
}
